Bug 629738 - preupgrade ignores --help/--version
preupgrade ignores --help/--version
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
18
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 16:18 EDT by Eric Blake
Modified: 2014-02-05 06:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:47:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2010-09-02 16:18:06 EDT
Description of problem:
I like to run 'tool --help' before 'tool', in case it gives me any hints about what tool does, and for finding bug submission guidelins.  I also like to use 'tool --version' for finding which version of the tool I'm using.  But preupgrade appears to just ignore argv.

Version-Release number of selected component (if applicable):
preupgrade-1.1.7-0.20.20100902git.fc13.noarch (fedora test day version)
[but reproduced on stock F13 preupgrade-1.1.4-1.fc13.noarch]

How reproducible:
100%

Steps to Reproduce:
1. as non-root, try 'preupgrade --help' in a shell
2. cancel the gui
3. also try 'preupgrade --version'
  
Actual results:
As non-root, it pops up a dialog asking for root password.  As root, or after typing in root password, it proceeds to do normal install, with no hint of a help window or version string.

Expected results:
Either list a help/version blurb in the shell, or pop up a help/version gui distinct from the normal execution gui.  Also, displaying help should not need root privileges.


Additional info:
Comment 1 Richard Hughes 2010-09-03 04:20:43 EDT
Is there any chance you could write a small patch for this functionality please? I can review any patch and marshall it upstream.
Comment 2 Bug Zapper 2011-05-31 10:40:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Eric Blake 2011-05-31 10:55:34 EDT
retargetting to F15 - the problem is still present in:

preupgrade-1.1.9-1.fc15.noarch

However, in reply to comment #1, I don't know enough python to contribute a patch.
Comment 4 Fedora End Of Life 2013-01-16 17:11:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-07-04 01:33:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Eric Blake 2013-07-10 17:36:21 EDT
Why was this bumped to F18?  There, we recommend 'fedup', not 'preupgrade', so it no longer matters what preupgrade does or does not do.

However, I _will_ point out that at least as of fedup-0.7.3-4.fc18.noarch, 'fedup --help' works, but 'fedup --version' fails.
Comment 7 Nicola Soranzo 2013-07-11 08:16:15 EDT
(In reply to Eric Blake from comment #6)
> Why was this bumped to F18?  There, we recommend 'fedup', not 'preupgrade',
> so it no longer matters what preupgrade does or does not do.

Because preupgrade is installed by default in F18 since PackageKit depends on it.
 
> However, I _will_ point out that at least as of fedup-0.7.3-4.fc18.noarch,
> 'fedup --help' works, but 'fedup --version' fails.

That's not relevant here, please open a different bug.
Comment 8 Fedora End Of Life 2013-12-21 03:26:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 06:47:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.